Subject: Re: [PATCH v2] pull: handle --log=<n>

From: Dennis Kaarsemaker <[email-masked]>
Date: Wed, 20 May 2015 00:30:26 +0200

On di, 2015-05-19 at 15:10 -0700, Junio C Hamano wrote:
> Dennis Kaarsemaker <[email-masked]> writes:
> 
> > I've actually done it differently while implementing:
> >
> > 1) Make test_commit recognize --tags and stop creating tags unless
> >    specified
> > 2) while ! prove --state=save,failed {
> >        Find and fix tests that now need --tags
> >    }
> 
> That was what I feared.  The result of that process is the hardest
> to reason about and review.
> 
> > For the actual patch series I'll add -p the changes slightly
> > differently:
> >
> > 1/N: Make test_commit recognize a --tags parameter but not change
> > behaviour.
> 
> Make test will pass after this one.
> 
> > 2/N - N-1/N: Add --tags where necesary (or other fixes as appropriate)
> > N/N: Only write tags when --tags is passed to test_commit.
> 
> And untouched ones will continue passing.
>
> Only when you remove --tags from ones that need (i.e. the caller
> needs to create the necessary tags), we will see a patch and unless
> there is mistake in the conversion, the result should pass.

I'm not quite sure I understand what you're trying to say. You seem to
be worried that there will be silent successes for tests that should
fail after N/N if I take the proposed approach. I have no idea how that
could happen though.

-- 
Dennis Kaarsemaker
www.kaarsemaker.net